Subject: bug#18765: Emacs 24.4 release candidate 1: "term/w32-win.el" is missing on Windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Oct 2014 20:44:39 +0300

> Date: Sat, 18 Oct 2014 22:55:40 +0800
> From: "Yanning Du" <[email-masked]>
> 
> I used the following commands to build and install Emacs 24.4 release candidate 1:
> /f/build-emacs/emacs-24.3.94$ CFLAGS='-I/f/build-emacs/libxpm-3.5.8-w32-src/include -I/f/build-emacs/libxpm-3.5.8-w32-src/src' ./configure --prefix=/f/myemacs-24.3.94
> /f/build-emacs/emacs-24.3.94$ make
> /f/build-emacs/emacs-24.3.94$ make install
> 
> When it is finished, I run emacs -Q
> However, a message box is poped up saying:
> ====================Emacs Abort Dialog ======================
> The Emacs Windows initialization file "term/w32-win.el" could not be found in your Emacs installation.  Emacs checked the following directories for this file:
> 
> ("f:/myemacs-24.3.94/site-lisp" "F:/myemacs-24.3.94/../site-lisp" "F:/myemacs-24.3.94/lisp" "F:/myemacs-24.3.94/leim")
> 
> When Emacs cannot find this file, it usually means that it was not installed properly, or its distribution file was not unpacked properly.
> See the README.W32 file in the top-level Emacs directory for more information.
> =======================================================
> 
> Actually, w32-win.el EXISTS in my system, but it under F:\myemacs-24.3.94\share\emacs\24.3.94\lisp\term\

Please show the contents of F:/build-emacs/emacs-24.3.94/src/epaths.h.

Also, please make sure you don't have any of the following variables
set, neither in the environment nor in the Registry:

  PATH_LOADSEARCH
  PATH_SITELOADSEARCH